# List branches

`GET https://api.instacloud.com/projects/{projectId}/branches`

**Token scope:** `account` · `org` · `project` — read-only tokens allowed.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `projectId` | path | `string` | yes |  |

## Response 200

Default Response

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `branches` | `object[]` | yes |  |
| `branches.id` | `string` | no |  |
| `branches.project_id` | `string` | no |  |
| `branches.name` | `string` | no |  |
| `branches.parent_branch_id` | `string \| null` | no |  |
| `branches.is_default` | `boolean` | no |  |
| `branches.status` | `"creating" \| "active" \| "error" \| "deleting"` | no |  |
| `branches.created_at` | `string` | no |  |
